Subject: [bug#78294] [PATCH 0/4] Add stb-image-resize.

From: aurtzy <[email-masked]>
Date: Wed, 7 May 2025 01:43:08 -0400

Hi!

This series of patches includes:
- transition to modern packaging style using g-expressions;
- support for description translations to resolve a TODO comment;
- support for packaging libraries that are considered deprecated upstream;
- and the addition of one such package for a deprecated library.

I followed Ludo's tip to use define-word-list-dictionary as an example [1] for
resolving the translation support, but I wasn't able to figure out how to verify
that the patch works.  Is there a way to do this without pushing and searching
on Weblate?

The deprecated stb-image-resize library is used by gamescope [2], which is
incompatible with stb-image-resize2.  I plan to send a v2 patch in an existing
issue [3] to add gamescope soon(tm).

Guix reports about 30 dependent packages:
--8<---------------cut here---------------start------------->8---
$ guix refresh --list-dependent --expression='(@@ (gnu packages stb) stb)'
Building the following 17 packages would ensure 28 dependent packages are rebuilt: [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
--8<---------------cut here---------------end--------------->8---

[1] https://issues.guix.gnu.org/issue/32155#6

[2] https://github.com/ValveSoftware/gamescope

[3] https://issues.guix.gnu.org/70493

Cheers,

aurtzy

aurtzy (4):
  gnu: stb: Use modern package style.
  gnu: stb-*: Make it possible to translate descriptions.
  gnu: stb: Support defining deprecated header packages.
  gnu: Add stb-image-resize.

 gnu/packages/stb.scm | 115 ++++++++++++++++++++++++++-----------------
 1 file changed, 69 insertions(+), 46 deletions(-)

base-commit: ec95c71c01144fcae1a3d079e0d0aec6087b9d2a
-- 
2.49.0